Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Class GLGraphics

    java.lang.Object
      PGraphicsOpenGL
          codeanticode.glgraphics.GLGraphics

All Implemented Interfaces:
  GLConstants

    public class GLGraphics

extends PGraphicsOpenGL
implements GLConstants

This class makes the opengl renderer compatible with the GLTexture object.

Field Summary
`protected GLTexture` | `colorTex`
`protected int[]` | `depthStencilTex`
`protected int[]` | `FBO`
`protected boolean` | `offscreenMode`
`GLPbuffer` | `pbuffer`

Fields inherited from interface codeanticode.glgraphics.GLConstants
`COLOR, DOUBLE4, FLOAT4, GL_DEPTH_STENCIL, GL_DEPTH24_STENCIL8, GL_UNSIGNED_INT_24_8, GLGRAPHICS, LINEAR, LINEAR_MIPMAP_LINEAR, LINEAR_MIPMAP_NEAREST, NEAREST, NEAREST_MIPMAP_LINEAR, NEAREST_MIPMAP_NEAREST, NORMAL, RECTANGULAR`

Constructor Summary
`GLGraphics(int width, int height, PApplet iparent)`
`GLGraphics(int width, int height, PApplet iparent, boolean offscreen)`

Method Summary
`protected void` | `allocate()`
`void` | `beginDraw()`
`void` | `endDraw()`
`GLTexture` | `getTexture()`
`protected void` | `initFramebuffer(PApplet p)`
`protected void` | `render_triangles()`
`void` | `requestDisplay(PApplet applet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### offscreenMode

    protected boolean offscreenMode

### FBO

    protected int[] FBO

### depthStencilTex

    protected int[] depthStencilTex

### colorTex

    protected GLTexture colorTex

### pbuffer

    public GLPbuffer pbuffer

Constructor Detail

### GLGraphics

    public GLGraphics(int width,
                      int height,
                      PApplet iparent)

### GLGraphics

    public GLGraphics(int width,
                      int height,
                      PApplet iparent,
                      boolean offscreen)

Method Detail

### initFramebuffer

    protected void initFramebuffer(PApplet p)

### getTexture

    public GLTexture getTexture()

### requestDisplay

    public void requestDisplay(PApplet applet)

### allocate

    protected void allocate()

### beginDraw

    public void beginDraw()

### endDraw

    public void endDraw()

### render_triangles

    protected void render_triangles()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD